import { ComponentSet } from '../collections';
export declare type ManifestOption = {
    manifestPath: string;
    directoryPaths: string[];
    destructiveChangesPre?: string;
    destructiveChangesPost?: string;
};
declare type MetadataOption = {
    metadataEntries: string[];
    directoryPaths: string[];
};
declare type OrgOption = {
    username: string;
    exclude: string[];
};
export declare type ComponentSetOptions = {
    packagenames?: string[];
    sourcepath?: string[];
    manifest?: ManifestOption;
    metadata?: MetadataOption;
    apiversion?: string;
    sourceapiversion?: string;
    org?: OrgOption;
};
export declare class ComponentSetBuilder {
    /**
     * Builds a ComponentSet that can be used for source conversion,
     * deployment, or retrieval, using all specified options.
     *
     * @see https://github.com/forcedotcom/source-deploy-retrieve/blob/develop/src/collections/componentSet.ts
     *
     * @param options: options for creating a ComponentSet
     */
    static build(options: ComponentSetOptions): Promise<ComponentSet>;
}
export {};
